#ifndef __PLUGIN_NAME__PLUGIN_H__
#define	__PLUGIN_NAME__PLUGIN_H__

#include "ritkApplicationPlugin.h"
#include "__PLUGIN_NAME__Plugin.h"
#include "__PLUGIN_NAME__Widget.h"

class __PLUGIN_NAME__Plugin : public ritk::ApplicationPlugin
{
	Q_OBJECT

public:
	/// Constructor
	__PLUGIN_NAME__Plugin();
	/// Destructor
	~__PLUGIN_NAME__Plugin();

	/// Get the name @sa Plugin::GetName
	QString GetName();

	/// Get the plugins GUI @sa Plugin::GetPluginGUI
	QWidget *GetPluginGUI();

	/// Intercept the event.
	void ProcessEvent(ritk::Event::Pointer EventP);

signals:
	void UpdateGUI();

protected:
	__PLUGIN_NAME__Widget *m_Widget;	
};


#endif // __PLUGIN_NAME__PLUGIN_H__
